Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.kie.api.conf
Enum RemoveIdentitiesOption

    java.lang.Object
      java.lang.Enum<RemoveIdentitiesOption>
          org.kie.api.conf.RemoveIdentitiesOption

All Implemented Interfaces:
  Serializable, Comparable<RemoveIdentitiesOption>, KieBaseOption, Option, SingleValueKieBaseOption

    public enum RemoveIdentitiesOption

extends Enum<RemoveIdentitiesOption>
implements SingleValueKieBaseOption

An Enum for Remove Identities option. drools.removeIdentities = <true|false> DEFAULT = false

Enum Constant Summary
`NO`
`YES`

Field Summary
`static String` | `PROPERTY_NAME` The property name for the remove identities option

Method Summary
`String` | `getPropertyName()` Returns the property name for this option
`boolean` | `isRemoveIdentities()`
`static RemoveIdentitiesOption` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static RemoveIdentitiesOption[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### YES

    public static final RemoveIdentitiesOption YES

### NO

    public static final RemoveIdentitiesOption NO

Field Detail

### PROPERTY_NAME

    public static final String PROPERTY_NAME

  The property name for the remove identities option

  See Also:
    Constant Field Values

Method Detail

### values

    public static RemoveIdentitiesOption[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (RemoveIdentitiesOption c : RemoveIdentitiesOption.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static RemoveIdentitiesOption valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getPropertyName

    public String getPropertyName()

  Returns the property name for this option

  Specified by:
    `getPropertyName` in interface `Option`
  Returns:

### isRemoveIdentities

    public boolean isRemoveIdentities()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.